# $Revision: 1.4 $, $Date: 2002/09/15 10:43:19 $
%include	/usr/lib/rpm/macros.php
%define         _class          Net
%define         _subclass       DNS
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - Resolver library to communicate with a DNS server
Summary(pl):	%{_pearname} - Biblioteka resolvera uywana do komunikacji z serwerem DNS
Name:		php-pear-%{_pearname}
Version:	0.03
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
URL:		http://pear.php.net/
BuildRequires:	rpm-php-pearprov
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A resolver library used to communicate with a name server to perform
DNS queries, zone transfers, dynamic DNS updates, etc. Creates an
object hierarchy from a DNS server's response, which allows you to
view all of the information given by the DNS server. It bypasses the
system's resolver library and communicates directly with the server.

%description -l pl
Biblioteka resolvera jest uywana w komunikacji z serwerami nazw do
przygotowania zapyta DNS, transferw stref, aktualizacji dynamicznego
DNS, itd. Tworzy hierarchi obiektw z odpowiedzi serwera DNS, ktra
pozwala zobaczy wszystkie informacje dawane przez server DNS. To
omija systemowy resolver i komunikuje si bezporednio z serwerem.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/%{_subclass}/RR

install %{_pearname}-%{version}/*.php	$RPM_BUILD_ROOT%{php_pear_dir}/%{_class}
install %{_pearname}-%{version}/%{_subclass}/*.php	$RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/%{_subclass}
install %{_pearname}-%{version}/%{_subclass}/RR/*.php	$RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/%{_subclass}/RR

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{php_pear_dir}/%{_class}/%{_subclass}
%dir %{php_pear_dir}/%{_class}/%{_subclass}/RR
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}/RR/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: php-pear-Net_DNS.spec,v $
Revision 1.4  2002/09/15 10:43:19  blues
- fix in macros

Revision 1.3  2002/09/15 10:40:52  blues
- 0.03 (stable) - STBR

Revision 1.2  2002/08/15 17:12:40  blues
- 0.02 - new type of queries supported (still alpha class); STBR

Revision 1.1  2002/07/12 11:07:13  blues
- initial release

